org.richfaces.fragment.notify

## Class RichFacesNotifyMessage

- java.lang.Object
- - org.richfaces.fragment.message.AbstractMessage
  - - org.richfaces.fragment.notify.RichFacesNotifyMessage

- All Implemented Interfaces:
    AdvancedInteractions<Message.AdvancedMessageInteractions>, Message, NotifyMessage
  Direct Known Subclasses:
    RichFacesNotify.NotifyMessageItemImpl

      public class RichFacesNotifyMessage
      extends AbstractMessage
      implements NotifyMessage

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.message.AbstractMessage

      `AbstractMessage.AdvancedMessageInteractionsImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.notify.NotifyMessage

      `NotifyMessage.AdvancedNotifyMessageIteractions, NotifyMessage.NotifyMessagePosition`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.message.Message

      `Message.AdvancedMessageInteractions, Message.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesNotifyMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl` | `advanced()`
    `void` | `close()` Closes this notify message prior it disappears.
    `protected String` | `getCssClass(Message.MessageType type)`
    `static String` | `getStyleClassForMessageType(Message.MessageType type)`

    - ### Methods inherited from class org.richfaces.fragment.message.AbstractMessage

      `getDetail, getSummary, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.message.Message

      `getDetail, getSummary, getType`

- - ### Constructor Detail

    - #### RichFacesNotifyMessage

          public RichFacesNotifyMessage()

  - ### Method Detail

    - #### advanced

          public RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<Message.AdvancedMessageInteractions>`
      Specified by:
        `advanced` in interface `NotifyMessage`

    - #### close

          public void close()

      Description copied from interface: `NotifyMessage`
      Closes this notify message prior it disappears.
      Specified by:
        `close` in interface `NotifyMessage`

    - #### getCssClass

          protected String getCssClass(Message.MessageType type)

      Specified by:
        `getCssClass` in class `AbstractMessage`

    - #### getStyleClassForMessageType

          public static String getStyleClassForMessageType(Message.MessageType type)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.